# SubServer.LoggedCommand (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Host

## Class SubServer.LoggedCommand

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Host.SubServer.LoggedCommand

Enclosing class:
  SubServer

    public static class SubServer.LoggedCommand
    extends java.lang.Object

Command Storage Class

### Constructor Summary

Constructors
Constructor and Description
`LoggedCommand(java.util.Date date, java.util.UUID sender, java.lang.String command)` Store a Command
`LoggedCommand(java.lang.String command)` Store a Command
`LoggedCommand(java.util.UUID sender, java.lang.String command)` Store a Command

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCommand()` Get the command
`java.util.Date` `getDate()` Get the date this command was logged
`java.util.UUID` `getSender()` Get the command sender

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggedCommand

    public LoggedCommand(java.lang.String command)

Store a Command

Parameters:
  `command` - Command

#### LoggedCommand

    public LoggedCommand(java.util.UUID sender,
                         java.lang.String command)

Store a Command

Parameters:
  `sender` - Command Sender (null for CONSOLE)
  `command` - Command

#### LoggedCommand

    public LoggedCommand(java.util.Date date,
                         java.util.UUID sender,
                         java.lang.String command)

Store a Command

Parameters:
  `date` - Date
  `sender` - Command Sender (null for CONSOLE)
  `command` - Command

### Method Detail

#### getDate

    public java.util.Date getDate()

Get the date this command was logged

Returns:
  Date

#### getSender

    public java.util.UUID getSender()

Get the command sender

Returns:
  Command Sender (null if CONSOLE)

#### getCommand

    public java.lang.String getCommand()

Get the command

Returns:
  Command